package cn.stylefeng.workflow.instance.core.condition.holder;

public class SubmitterUserIdHolder {

    private static final ThreadLocal<Long> USER_ID_HOLDER = new ThreadLocal<>();

    public static void setSubmitter(Long userId) {
        USER_ID_HOLDER.set(userId);
    }

    public static Long getSubmitter() {
        return USER_ID_HOLDER.get();
    }

    public static void clearParam() {
        USER_ID_HOLDER.remove();
    }

}
